petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexGetCoarseDM

Get the coarse mesh from which this was obtained by refinement

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetCoarseDM(DM dm, DM *cdm)

### Input Parameter

dm -The DMPlex object

### Output Parameter

cdm -The coarse DM

### See Also

DMPlexSetCoarseDM()

Level:intermediate
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html